%define _disable_ld_no_undefined 1

Summary:	Network exploration tool and security scanner
Name:		nmap
Version:	7.40
Release:	%mkrel 1
Epoch:		1
License:	GPLv2
Group:		Networking/Other
URL:		http://nmap.org/
Source0:	http://download.insecure.org/nmap/dist/%{name}-%{version}.tar.bz2
Source1:	%{name}_icons.tar.bz2
BuildRequires:	libpcap-devel
BuildRequires:	libpcre-devel
BuildRequires:	openssl-devel
BuildRequires:	python-devel >= 2.4
BuildRequires:	lua-devel

%description
Nmap is a utility for network exploration or security auditing. It supports
ping scanning (determine which hosts are up), many port scanning techniques
(determine what services the hosts are offering), and TCP/IP fingerprinting
(remote host operating system identification). Nmap also offers flexible target
and port specification, decoy scanning, determination of TCP sequence
predictability characteristics, sunRPC scanning, reverse-identd scanning, and
more.

%package	frontend
Summary:	Multi-platform graphical Nmap frontend and results viewer
Group:		Networking/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	pygtk2
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description	frontend
Zenmap is an Nmap frontend. It is meant to be useful for advanced users and to
make Nmap easy to use by beginners. It was originally derived from Umit, an
Nmap GUI created as part of the Google Summer of Code.

%prep
%setup -q -n %{name}-%{version} -a1

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*

%build
%configure2_5x --without-nmap-update
%make 

%install
unset PYTHONDONTWRITEBYTECODE
%makeinstall_std nmapdatadir=%{_datadir}/nmap STRIP=/bin/true

install -m0644 docs/zenmap.1 %{buildroot}%{_mandir}/man1/

install -d %{buildroot}{%_miconsdir,%_liconsdir}
install -m0644 %{name}16.png %{buildroot}%{_miconsdir}/%{name}.png
install -m0644 %{name}32.png %{buildroot}%{_iconsdir}/%{name}.png
install -m0644 %{name}48.png %{buildroot}%{_liconsdir}/%{name}.png

rm -f %{buildroot}%{_datadir}/applications/*.desktop

# XDG menu
install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Nmap
Comment=A frontend for the nmap port scanner
Exec=zenmap
Icon=%{name}
Terminal=false
Type=Application
Categories=System;Monitor;
EOF

%find_lang %{name} --with-man

# cleanup
rm -f %{buildroot}%{_bindir}/uninstall_zenmap

%files -f %{name}.lang
%doc COPYING* HACKING docs/README docs/nmap.usage.txt
%{_bindir}/%{name}
%{_bindir}/ncat
%{_bindir}/ndiff
%{_bindir}/nping
%{_bindir}/uninstall_ndiff
%{_datadir}/%{name}
%{_mandir}/man1/nmap.*
%{_mandir}/man1/ncat.*
%{_mandir}/man1/ndiff.*
%{_mandir}/man1/nping.*
%{_datadir}/ncat

%files frontend
%{_bindir}/nmapfe
%{_bindir}/xnmap
%{_bindir}/zenmap
%{python_sitelib}/*
%{_datadir}/zenmap
%{_datadir}/applications/*.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_mandir}/man1/zenmap.1*


%changelog
* Sat Dec 24 2016 guillomovitch <guillomovitch> 1:7.40-1.mga6
+ Revision: 1076948
- new version 7.40

* Sat Apr 09 2016 guillomovitch <guillomovitch> 1:7.12-1.mga6
+ Revision: 999916
- new version 7.12

* Wed Mar 02 2016 umeabot <umeabot> 1:7.01-3.mga6
+ Revision: 983803
- Rebuild for openssl
- Mageia 6 Mass Rebuild

* Sat Dec 12 2015 guillomovitch <guillomovitch> 1:7.01-1.mga6
+ Revision: 909656
- new version 7.01

* Sun Nov 22 2015 guillomovitch <guillomovitch> 1:7.00-1.mga6
+ Revision: 904932
- new version 7.00

* Fri Aug 21 2015 tmb <tmb> 1:6.47-5.mga6
+ Revision: 867821
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 1:6.47-4.mga5
+ Revision: 746021
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:6.47-3.mga5
+ Revision: 727477
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:6.47-2.mga5
+ Revision: 682895
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 luigiwalser <luigiwalser> 1:6.47-1.mga5
+ Revision: 672360
- 6.47

  + pterjan <pterjan>
    - Rebuild for new Python

* Mon Apr 28 2014 guillomovitch <guillomovitch> 1:6.46-1.mga5
+ Revision: 618620
- new version 6.46

* Tue Oct 22 2013 umeabot <umeabot> 1:6.40-3.mga5
+ Revision: 542867
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1:6.40-2.mga4
+ Revision: 497961
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 01 2013 guillomovitch <guillomovitch> 1:6.40-1.mga4
+ Revision: 462086
- new version

* Sun Mar 17 2013 lmenut <lmenut> 1:6.25-3.mga3
+ Revision: 403609
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 guillomovitch <guillomovitch> 1:6.25-1.mga3
+ Revision: 325846
- new version

* Sat Dec 01 2012 fwang <fwang> 1:6.01-3.mga3
+ Revision: 323817
- rebuild for new pcre

* Thu Sep 20 2012 guillomovitch <guillomovitch> 1:6.01-2.mga3
+ Revision: 296323
- use external libpcap

* Tue Jun 26 2012 guillomovitch <guillomovitch> 1:6.01-1.mga3
+ Revision: 263978
- new version
- drop mandriva patches (undocumented purpose)
- use lua5.1 for script engine

  + luigiwalser <luigiwalser>
    - 6.01

* Tue May 29 2012 guillomovitch <guillomovitch> 1:6.00-1.mga3
+ Revision: 249112
- do not build nmap-update
- new version

* Sun Feb 19 2012 luigiwalser <luigiwalser> 1:5.51.6-1.mga2
+ Revision: 210652
- 5.51.6
- remove upstreamed patch 3

* Tue Aug 30 2011 guillomovitch <guillomovitch> 1:5.51-5.mga2
+ Revision: 136687
- fix service-probes regexp file

* Tue Apr 26 2011 wally <wally> 1:5.51-4.mga1
+ Revision: 91798
- fix desktop file name (mga#954)
- fix exec line in desktop file
- use find_lang macro with --with-man
- drop buildroot definition

* Sat Apr 16 2011 pterjan <pterjan> 1:5.51-3.mga1
+ Revision: 86297
- Fix a non literal format string
- Drop md2 patch, code was removed upstream
- Update to 5.51

* Sun Jan 23 2011 pterjan <pterjan> 1:5.21-3.mga1
+ Revision: 34989
- Drop old scriptlets

  + kharec <kharec>
    - imported package nmap

